import React from 'react';
import { useStyles } from './styles';

export const SvgGroupement = () => {
  const classes = useStyles();
  return (
    <svg xmlns="http://www.w3.org/2000/svg" className={classes.svg} width="30px" viewBox="0 0 24 24">
      <g id="Layer_2" data-name="Layer 2">
        <g id="Layer_1-2" data-name="Layer 1">
          <path d="M9.94,11.81c-.57-1.3.06-2.29,1.34-2.18A1,1,0,0,0,12,9.44a1.24,1.24,0,0,1,1.84.2l.52.51.51.48a.67.67,0,0,0,.23,0c1.12-.74,1.27-.73,2.22.2.59.58,1.16,1.19,1.78,1.74a3.49,3.49,0,0,1,1.11,2.28c.13,1,.27,1.18,1.26,1.19A3.27,3.27,0,0,1,24,18a1.7,1.7,0,0,1-.53,1.6l-2,2.08c-.53.55-1.05,1.11-1.6,1.64a1.55,1.55,0,0,1-2.31,0c-.64-.57-1.33-1.11-1.25-2.15,0-.44-.39-.76-.8-.84a7.38,7.38,0,0,1-3.49-2.15c-.79-.72-1.54-1.5-2.3-2.26a1.18,1.18,0,0,1-.26-1.67c.12-.23.34-.4.15-.74A1.36,1.36,0,0,1,9.94,11.81Zm10.23,4.94a2.39,2.39,0,0,1-1-2.13,1.88,1.88,0,0,0-.52-1.1c-.69-.77-1.46-1.47-2.2-2.2-.16-.16-.37-.3-.51,0a.61.61,0,0,0,.12.52c.29.34.63.64,1,1s.35.44.11.72-.57.18-.81-.05c-.43-.4-.85-.81-1.27-1.23-.67-.65-1.33-1.32-2-2-.08-.07-.31,0-.43,0a.41.41,0,0,0,0,.36,5.34,5.34,0,0,0,.57.6c.61.61,1.24,1.22,1.84,1.83a.46.46,0,0,1,0,.73c-.25.25-.5.16-.73,0l-1-1c-.62-.61-1.23-1.22-1.86-1.82-.17-.17-.35-.41-.61-.18s0,.43.15.59l1.48,1.46c.52.51,1.05,1,1.54,1.55.27.28.12.78-.23.79a.84.84,0,0,1-.54-.22c-.69-.64-1.34-1.31-2-2a4.7,4.7,0,0,0-.53-.38c-.39.31-.21.53,0,.74l1.63,1.6c.17.18.35.34.51.52s.29.54,0,.73a.85.85,0,0,1-.64,0c-.15,0-.26-.22-.39-.34s-.53-.54-.82-.79-.35-.54-.67-.27,0,.49.2.66c.83.84,1.64,1.7,2.53,2.47a7,7,0,0,0,2,1.32,5.53,5.53,0,0,1,1.92,1Zm2.91,1.5c-.29-.32-.55-.64-.85-.91-.59-.56-.69-.57-1.27,0-1,1-2,2-2.95,3.06s-1.19,1,.15,2.21c.38.35.59.34,1-.05,1.19-1.2,2.36-2.42,3.53-3.65A3.77,3.77,0,0,0,23.08,18.25Z" />
          <path d="M3.81,7.46A3.64,3.64,0,0,1,4.94,9.2a6,6,0,0,0,1.92,2.29c.39.34.79.67,1.18,1a.43.43,0,0,1,.11.64.46.46,0,0,1-.73.08C6,12,4.44,11,3.79,9.06c-.22-.65-.51-.82-1.22-.83A3.42,3.42,0,0,1,.09,6.42,1.48,1.48,0,0,1,.34,5C1.57,3.53,2.77,2.1,4,.72A1.43,1.43,0,0,1,6.1.57c.31.22.59.48.88.73a1.73,1.73,0,0,1,.59,1.38c0,.67.34.92,1,.95a3.9,3.9,0,0,1,2.65,1c.68.65,1.44,1.2,2.13,1.83a1.25,1.25,0,0,1-.16,2.08,1.26,1.26,0,0,1-1.06.16,12.52,12.52,0,0,1-1.8-1.54c-.08-.08,0-.43.1-.53a.59.59,0,0,1,.56,0c.43.29.8.66,1.21,1,.24.19.25.17.71-.21C12,6.57,11.12,5.75,10.16,5a2.42,2.42,0,0,0-1.27-.4,2.75,2.75,0,0,1-2-.67ZM6.66,2.55a1.81,1.81,0,0,0-.21-.37,5.49,5.49,0,0,0-.61-.57c-.63-.53-.81-.54-1.37.09-.93,1-1.8,2.11-2.74,3.13C.57,6.09.88,6.07,1.92,7c.46.41.65.39,1.06-.06C4.1,5.67,5.21,4.37,6.32,3.08A4.4,4.4,0,0,0,6.66,2.55Z" />
          <path d="M3.88,17.1l3.54,3.07a3.19,3.19,0,0,1,1.8-1.11c.37-.08.68-.45,1-.7a5.86,5.86,0,0,1,.5-.37.41.41,0,0,1,.62.15.63.63,0,0,1-.07.55,5.23,5.23,0,0,1-2.11,1.48c-.81.29-.95.49-1,1.32A3.51,3.51,0,0,1,6.43,23.9a1.54,1.54,0,0,1-1.57-.27C3.47,22.43,2.07,21.23.71,20a1.49,1.49,0,0,1-.15-2.14c.23-.31.49-.59.74-.88a1.55,1.55,0,0,1,1.19-.54c.88,0,1.08-.25,1.1-1.11a3.92,3.92,0,0,1,1.17-2.8c.13-.12.24-.3.39-.33a.72.72,0,0,1,.54.1.46.46,0,0,1,.1.45,3.14,3.14,0,0,1-.49.66,2.14,2.14,0,0,0-.67,1.49A2.52,2.52,0,0,1,3.88,17.1Zm-1.36.24a2.24,2.24,0,0,0-.38.21q-.33.33-.63.69c-.49.6-.48.77.11,1.29Q3.3,21,5,22.45c.9.76,1,.74,1.75-.12.07-.08.15-.15.21-.23.35-.47.37-.7-.06-1.08C5.6,19.88,4.28,18.75,3,17.62,2.83,17.52,2.68,17.44,2.52,17.34Z" />
          <path d="M20.08,7.07,16.74,3.9a6.31,6.31,0,0,1-.65.57,1.23,1.23,0,0,1-.62.3,3.32,3.32,0,0,0-1.81.37c-.31.16-.62.14-.77-.24s.12-.54.37-.63a10.07,10.07,0,0,1,1.68-.49c.81-.15,1-.36,1-1.21a2,2,0,0,1,.31-1.06A5.67,5.67,0,0,1,17.33.39a1.42,1.42,0,0,1,2,0C20.69,1.7,22,3,23.36,4.32a1.48,1.48,0,0,1,0,2.16c-.59.66-1.14,1.37-2.22,1.31-.51,0-.81.47-.9,1a5,5,0,0,1-1.07,2.1c-.2.27-.45.48-.79.21s-.18-.54,0-.81a4.13,4.13,0,0,0,.92-2C19.37,7.88,19.75,7.55,20.08,7.07Zm2.79-1.72a7.89,7.89,0,0,0-.57-.7c-1-1-2-1.92-3-2.91C18.2.58,18.12,1,17.22,1.89c-.43.43-.42.62,0,1.06C18,3.74,18.8,4.5,19.6,5.27Q20.32,6,21,6.62a.53.53,0,0,0,.82,0c.25-.25.5-.49.73-.75A2.65,2.65,0,0,0,22.87,5.35Z" />
        </g>
      </g>
    </svg>
  );
};
